View Issue Details

IDProjectCategoryView StatusLast Update
0032673FPCRTLpublic2019-12-16 10:20
ReporterCudaText man Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.0.2 
Target Version3.2.0Fixed in Version3.3.1 
Summary0032673: Implement TCollection.Move()
DescriptionNow %subj not implemented, so I must call Obj.Items[NFrom].Index:= NTo.
This is not intuitive, said Mike Cornflake here
http://forum.lazarus.freepascal.org/index.php?topic=38876.new;topicseen#new

He said it's OK wish for Mantis.
Pls, add Move().
TagsNo tags attached.
Fixed in Revision41795
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2019-03-26 07:03

administrator   ~0115048

Added.

Jonas Maebe

2019-04-15 09:07

manager   ~0115520

This change breaks backward compatibility with code that called (system.)move in method from a class that inherits from TCollection (like Lazarus VirtualTreeView). This should be documented at http://wiki.freepascal.org/User_Changes_Trunk

Michael Van Canneyt

2019-04-15 09:36

administrator   ~0115521

This is not really breaking backwards compatibility.

It's just what happens when you add an identifier to a parent class.
It could happen in any class that gets modified.

But users should know what happens, so I have documented it.

Issue History

Date Modified Username Field Change
2017-11-11 19:02 CudaText man New Issue
2019-03-25 07:41 Michael Van Canneyt Assigned To => Michael Van Canneyt
2019-03-25 07:41 Michael Van Canneyt Status new => assigned
2019-03-26 07:03 Michael Van Canneyt Fixed in Revision => 41795
2019-03-26 07:03 Michael Van Canneyt Note Added: 0115048
2019-03-26 07:03 Michael Van Canneyt Status assigned => resolved
2019-03-26 07:03 Michael Van Canneyt Fixed in Version => 3.3.1
2019-03-26 07:03 Michael Van Canneyt Resolution open => fixed
2019-03-26 07:03 Michael Van Canneyt Target Version => 3.2.0
2019-04-15 09:07 Jonas Maebe Note Added: 0115520
2019-04-15 09:36 Michael Van Canneyt Note Added: 0115521
2019-12-16 10:20 CudaText man Status resolved => closed